For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
View Verification PricingDashboard
OverviewAPI ReferenceIntegrations
OverviewAPI ReferenceIntegrations
    • API Authentication
    • API Rate Limits
    • API Usage Tracking
  • ApexVerify Api
      • GETBatch List
      • POSTBatch Upload
      • GETBatch Status
      • POSTBatch Verification Launch
      • PUTBatch Parameters Update
      • DELBatch Deletion
      • PATCHBatch Preparation & Content Reprocessing
      • GETBatch Result Export
      • GETBatch Details
LogoLogo
View Verification PricingDashboard
ApexVerify ApiBatch

Batch Details

||View as Markdown|
GET
https://api.apexverify.com/v1/batch/:batch_uuid/details
GET
/v1/batch/:batch_uuid/details
$curl https://api.apexverify.com/v1/batch/batch_uuid/details \
> -H "X-API-Key: <apiKey>"
1{
2 "status": "parsing_content",
3 "batch_uuid": "string",
4 "created_at": "2024-01-15T09:30:00Z",
5 "description": "string",
6 "name": "string",
7 "updated_at": "2024-01-15T09:30:00Z",
8 "parameters": {
9 "type": "email",
10 "target_country": "SG",
11 "target_audience": 1,
12 "target_market_industry": 1,
13 "target_objective": 1,
14 "use_account_cache": true,
15 "max_account_cache_backoff": 30,
16 "use_global_cache": true,
17 "max_global_cache_backoff": 30,
18 "remove_duplicate": true,
19 "remove_wrong_email_format": true,
20 "remove_wrong_phone_format": true
21 }
22}
Retrieve detailed information about a batch file for the account, including its UUID, status, name, description, parameters, uploaded content, and related metadata.
Was this page helpful?
Previous

Batch Result Export

Next

Unit Verification

Built with

Authentication

X-API-Keystring
API Key authentication via header

Path parameters

batch_uuidstringRequiredformat: "uuid"

Response

Successful Response
parsing_contentobject
OR
internal_errorobject
OR
ready_for_verificationobject
OR
verification_ongoingobject
OR
verification_doneobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error